<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Pengajuan Cicilan </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
<!--                                <h3 class="mb-0">Data List</h3>-->
                                <a th:href="@{/studentBill/requestCicilan/rekap}" class="btn btn-info btn-sm"><i class="ni ni-book-bookmark"></i> Rekap</a>
                            </div>
                            <div class="col text-right">
                                <form method="get">
                                    <div class="input-group mb-3">
                                        <input type="text" name="search" class="form-control" placeholder="Search" th:value="${search}">
                                        <div class="input-group-append">
                                            <button class="btn btn-info" type="submit"><i class="fas fa-search"></i> Search</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="alert alert-danger" th:if="${gagal != null}">
                        Nilai tidak sesuai dengan tagihan sebelumnya!
                    </div>
                    <div class="table-responsive">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th>#</th>
                                <th>NIM</th>
                                <th>Nama</th>
                                <th>Tagihan</th>
                                <th>Tahun Akademik</th>
                                <th>Tanggal Pengajuan</th>
                                <th>Cicilan</th>
                                <th>Status</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data,row : ${listCicilan}">
                                <td th:text="${(row.index + 1) + (listCicilan.number * listCicilan.size)}">1</td>
                                <td th:text="${data[6]}"></td>
                                <td th:text="${data[1]}"></td>
                                <td th:text="${data[2]}"></td>
                                <td th:text="${data[7]}"></td>
                                <td th:text="${data[3]}"></td>
                                <td th:text="${data[4]}"></td>
                                <td th:if="${data[5]} == 'WAITING' "><a href="#!" class="btn btn-primary btn-sm">WAITING</a></td>
                                <td th:if="${data[5]} == 'REJECTED'"><a href="#!" class="btn btn-danger btn-sm">REJECT</a></td>
                                <td th:if="${data[5]} == 'APPROVED'"><a href="#!" class="btn btn-success btn-sm">APPROVED</a></td>
                                <td>
                                    <a th:href="@{/studentBill/requestCicilan/approval(tagihan = ${data[0]})}" class="btn btn-info btn-sm">Cek</a>
<!--                                    <a th:if="${data.statusApprove.WAITING} != ${data.statusApprove}" href="#!" class="text-green text-sm">Done</a>-->
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer py-4">
                        <nav aria-label="...">
                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>